> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get parties in account with paging

GET https://apiqana11.springcm.com/v2/{accountId}/parties

Get all parties in account with paging

Developing with the CLM API is only available
for CLM customers with a production account.
To purchase a plan to gain access to the CLM API,
contact [Docusign Sales](https://www.docusign.com/contact-sales).

Reference: https://developers.docusign.com/docs/clm-api/reference/objects/parties/getallparties

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — Docusign OAuth 2.0 access token, sent as `Authorization: Bearer <token>`.

## Servers

- `https://apiqana11.springcm.com/v2` (Demo, default)
- `https://apina11.springcm.com/v2` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The ID of the Docusign account.

### Query parameters

- `pageSortParams.offset` (integer, optional) — The number of objects at the beginning of the collection to skip
- `pageSortParams.limit` (integer, optional) — The number of objects per page
- `pageSortParams.sortProperty` (string, optional) — The property of the collection object on which to sort
- `pageSortParams.sortDirection` (enum, optional) — ASC for ascending. DESC for descending
  - Allowed values: `ASC`, `DESC`
- `pageSortParams.filter` (string, optional) — The property of the collection object on which to filter
- `pageSortParams.filterExact` (boolean, optional) — If true, filtering will perform an exact match instead of the default contains match
- `pageSortParams.caseInsensitive` (boolean, optional) — If FilterExact is true and this is true, filtering will perform an exact match but will ignore case

## Response

### 200

OK

- `Items` (list of Party, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

## Types

### Party

Party

- `ExternalId` (string, optional) — External Identifier of the party
- `Name` (string, optional) — The name of the party
- `ContactName` (string, optional) — Business Contact's name
- `Type` (string, optional) — Type name
- `ContactPhoneNumber` (string, optional) — Business Contact's phone number
- `Source` (string, optional) — Document or folder
- `CreatedDate` (datetime, optional) — Date and time party was created
- `CreatedBy` (string, optional) — Username of user that created the party
- `UpdatedDate` (datetime, optional) — Date and time party was last updated
- `UpdatedBy` (string, optional) — Username of user that last updated the party
- `Href` (string, optional) — Uri where the object can be retrieved.

## Examples

**Response**

```json
{
  "Items": [
    {
      "ExternalId": "string",
      "Name": "string",
      "ContactName": "string",
      "Type": "string",
      "ContactPhoneNumber": "string",
      "Source": "string",
      "CreatedDate": "2024-01-15T09:30:00Z",
      "CreatedBy": "string",
      "UpdatedDate": "2024-01-15T09:30:00Z",
      "UpdatedBy": "string",
      "Href": "string"
    }
  ],
  "Href": "string",
  "Offset": 1,
  "Limit": 1,
  "First": "string",
  "Previous": "string",
  "Next": "string",
  "Last": "string",
  "Total": 1
}
```